Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.mail.smime.test
Class SignedMailValidatorTest

    java.lang.Object
      TestCase
          org.bouncycastle.mail.smime.test.SignedMailValidatorTest

    public class SignedMailValidatorTest

extends TestCase

Constructor Summary
`SignedMailValidatorTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `setUp()`
`static Test` `suite()`
`void` `testCircular()`
`void` `testCreateCertPath()`
`void` `testExpired()`
`void` `testExtendedReviewer()`
`void` `testExtKeyUsage()`
`void` `testKeyUsage()`
`void` `testLongValidity()`
`void` `testNoEmail()`
`void` `testNotYetValid()`
`void` `testRevoked()`
`void` `testShortKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedMailValidatorTest

    public SignedMailValidatorTest()

Method Detail

### testShortKey

    public void testShortKey()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testKeyUsage

    public void testKeyUsage()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testExtKeyUsage

    public void testExtKeyUsage()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNoEmail

    public void testNoEmail()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNotYetValid

    public void testNotYetValid()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testExpired

    public void testExpired()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRevoked

    public void testRevoked()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLongValidity

    public void testLongValidity()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCircular

    public void testCircular()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testExtendedReviewer

    public void testExtendedReviewer()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCreateCertPath

    public void testCreateCertPath()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUp

    public void setUp()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### suite

    public static Test suite()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45